spark_write_jdbc {sparklyr} | R Documentation

## Writes a Spark DataFrame into a JDBC table

### Description

Writes a Spark DataFrame into a JDBC table.

### Usage

    spark_write_jdbc(x, name, mode = NULL, options = list(),
      partition_by = NULL, ...)

### Arguments

`x` | A Spark DataFrame or dplyr operation
`name` | The name to assign to the newly generated table.
`mode` | Specifies the behavior when data or table already exists.
`options` | A list of strings with additional options.
`partition_by` | Partitions the output by the given columns on the file system.
`...` | Optional arguments; currently unused.

### See Also

Other Spark serialization routines: `spark_load_table`, `spark_read_csv`, `spark_read_jdbc`, `spark_read_json`, `spark_read_parquet`, `spark_read_source`, `spark_read_table`, `spark_read_text`, `spark_save_table`, `spark_write_csv`, `spark_write_json`, `spark_write_parquet`, `spark_write_source`, `spark_write_table`, `spark_write_text`

[Package sparklyr version 0.6.3 Index]